code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
rm -rf results
mkdir -p results
algs=( simple load_aware load_normalized turn_over )
for algorithm in "${algs[@]}"
do
for nT in 100 128 250 256 500 512 1000 1024
do
for pad in 1.0
do
for rT in 0.5
do
for cc in 2 4 8 16 32 64 128 256
do
mkdir -p results/${algorithm}
./m... | apapadopoulos/MultiCoreMigrationSimulator | execute.sh | Shell | gpl-2.0 | 770 |
#!/bin/bash
# Requires
# reboot.sh
mount /var/lib/pacman/sync
mount /var/cache/pacman/pkg
# Uncomment this and delete the Ruby 1.9 install section below when Chef
# supports Ruby 2.0
#pacman -S --noconfirm ruby
# We can install Ruby 1.9 either using an older PKGBUILD or download the
# package from the Arch Rollba... | Boohbah/baumeister | templates/new-archlinux-x86_64/ruby.sh | Shell | gpl-2.0 | 939 |
svnsrc wgois svn://svn.code.sf.net/p/wgois/code/
export LDFLAGS='-lX11'
common_autotools $1/ois/trunk
| sensorii/mymkr | mymkr/pkgs/old/wgois.sh | Shell | gpl-2.0 | 102 |
#! /bin/sh
# Copyright (C) 2011-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | pylam/automake | t/tap-summary.sh | Shell | gpl-2.0 | 790 |
#!/bin/sh
# alias for compatibility
sudo -iu {{ tomcat_instance_name }} systemctl --user stop tomcat
{% if tomcat_instance_mail is defined %}
/bin/sh -c date | /usr/bin/mail -s "{{ inventory_hostname }}/{{ tomcat_instance_name }} : Shutdown instance" {{ tomcat_instance_mail }}
{% endif %}
| Evolix/ansible-roles | tomcat-instance/templates/bin/shutdown.sh | Shell | gpl-2.0 | 291 |
#!/bin/sh
test_description='Exercise pushing with the --noapply option'
. ./test-lib.sh
test_expect_success 'Setup patches' '
test_commit_bulk --message="a%s" --filename=a.txt --contents="line %s" 3 &&
test_commit_bulk --message="b%s" --filename=b.txt --contents="line %s" 3 &&
stg init &&
stg uncommi... | emacsmirror/stgit | t/t1201-push-noapply.sh | Shell | gpl-2.0 | 2,888 |
#!/bin/bash
SCRIPTDIR="$HOME/cron/svn-mirror-git/scripts"
${SCRIPTDIR}/mirror.sh datadomain-auth mirror/lw-oem-datadomain LWISO-Oem-DataDomain
# ${SCRIPTDIR}/mirror.sh datadomain-cifs-6-1 v6-1-oem-dd-cifs Oem-DD-CIFS-6-1
${SCRIPTDIR}/mirror.sh hp oem-hp OEM-HP
## ${SCRIPTDIR}/mirror... | Coffeedude/slag | scripts/gitsync/mirror-oem.sh | Shell | gpl-2.0 | 657 |
#!/usr/bin/env bash
##########################################################################################################################
## CCS SCRIPT TO DO REGRESS OUT NUISANCE COVARIATES FROM RESTING_STATE SCAN
## nuisance covariates are: global signal (option), white matter (WM, WHITE), CSF, and
## 6 motion p... | zuoxinian/CCS | H1/ccs_04_funcnuisance.sh | Shell | gpl-2.0 | 6,029 |
#!/bin/sh
#
# Project : ipv6calc
# File : test_ipv6logconv.sh
# Version : $Id: test_ipv6logconv.sh,v 1.7 2005/10/20 16:22:41 peter Exp $
# Copyright : 2002 by Peter Bieringer <pb (at) bieringer.de>
#
# Test program for "ipv6logconv"
testscenarios() {
# Address
cat <<END | grep -v "^#"
195.226.187.50 - - "... | Distrotech/ipv6calc | ipv6logconv/test_ipv6logconv.sh | Shell | gpl-2.0 | 2,745 |
#!/bin/bash
resultPath=/home/kwang2/result/aaProb_allProteins_TD13_inv_rank/
for f in /home/kwang2/result/aaProb_allProteins_TD13_inv/*.csv; do
fname=$(basename $f)
resultFile=$resultPath${fname%.csv}"_rank.txt"
python /home/kwang2/scripts/aaCodonProbPred/getRank/rankOutput.py $f $resultFile
#echo $resultFi... | learking/aaCodonProbPred | getRank/getRank_allProteins_TD13_inv.sh | Shell | gpl-2.0 | 328 |
#!/bin/bash
#
# Copyright (c) 2015-2019 Krzysztof Kozlowski
# Author: Krzysztof Kozlowski <k.kozlowski.k@gmail.com>
# <krzk@kernel.org>
#
# SPDX-License-Identifier: GPL-2.0
#
set -e -E -x
. $(dirname "${BASH_SOURCE[0]}")/inc-common.sh
. $(dirname "${BASH_SOURCE[0]}")/drm.sh
. $(dirname "${... | krzk/tools | tests/all-odroidxu3.sh | Shell | gpl-2.0 | 1,338 |
#! /bin/sh
# Copyright (C) 2010-2017 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | Starlink/automake | t/remake-subdir-only.sh | Shell | gpl-2.0 | 1,474 |
#!/bin/bash
#########################################################################################
#
# Configuration used in the different scripts.
#
# Copy this file in the same directory, the filename of the copy should be "config.sh".
#
###########################################################################... | zero2one/drupal7-skeleton | default.config.sh | Shell | gpl-2.0 | 2,249 |
#! /bin/sh
# Copyright (C) 2013-2022 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | autotools-mirror/automake | t/preproc-errmsg.sh | Shell | gpl-2.0 | 2,448 |
#!/bin/bash
#
# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
#
# This file is part of util-linux-ng.
#
# This file is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at y... | xxha/util-linux-2.13.1 | tests/run.sh | Shell | gpl-2.0 | 1,307 |
#!/bin/bash
#set -x
set -e
# General optional parameters:
# DATA_LOCATION, STUDY_NAME, STUDY_ID
# Mandatory parameters specific for this upload script:
# ANNOTATIONS_FILE
# Optional parameter(s) specific for this upload script:
# PLATFORM_ID, PLATFORM_TITLE, GENOME_RELEASE
# locate this shell script, and sourc... | ThomsonReuters-LSPS/transmart-data | samples/postgres/load_annotation.sh | Shell | gpl-3.0 | 4,239 |
#!/bin/sh
killall polybar
polybar white
| SubhrajitPrusty/dotfiles | config/i3/scripts/bar.sh | Shell | gpl-3.0 | 45 |
#!/bin/sh
[ -d ./m4 ] || mkdir m4
[ -f ./configure ] || autoreconf -f -i
gccVersion="8.2p"
installPrefix="/game"
pathToCompiler="/Developer/GCC/${gccVersion}/PowerPC/32bit" # ="/usr"
a5path="/opt/allegro-5.0.11"
a4path="/opt/allegro-4.4.2"
export PATH="$a4path"/bin:$PATH
if [ ! -f src/Makefile ]
then
LDF... | dougmencken/HeadOverHeels | build-osx.sh | Shell | gpl-3.0 | 2,201 |
#!/bin/bash
#
# uploading.com module
# Copyright (c) 2010-2013 Plowshare team
#
# This file is part of Plowshare.
#
# Plowshare is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, ... | alexreg/plowshare | src/modules/uploading.sh | Shell | gpl-3.0 | 7,528 |
#!/bin/bash
# Record video to test two color tracking on maze.
# JPN and AC
# 2015-06
# MWL@MIT
# Path to configuration files
CONFIG_PATH="./config.toml"
oat view raw &
sleep 0.1
oat record -i raw -f ./ -n two_color_test -d -F 30 &
sleep 0.1
oat frameserve gige raw -c "$CONFIG_PATH" -k gige
| jonnew/Oat | examples/two-color-test/record-sample.sh | Shell | gpl-3.0 | 294 |
#!/bin/bash
echo -e "Download und extract sourcemod\n"
wget "http://www.sourcemod.net/latest.php?version=$1&os=linux" -O sourcemod.tar.gz
tar -xzf sourcemod.tar.gz
echo -e "Give compiler rights for compile\n"
chmod +x addons/sourcemod/scripting/spcomp
echo -e "Compile ttt plugins\n"
for file in addons/sourcemod/scri... | Bobakanoosh/TroubleinTerroristTown | ci/test.sh | Shell | gpl-3.0 | 935 |
#!/bash/bin
f1="speciesA_200i_40x.1.fastq.gz"
f2="speciesA_200i_40x.2.fastq.gz"
f3="speciesA_300i_40x.1.fastq.gz"
f4="speciesA_300i_40x.2.fastq.gz"
f5="speciesA_3000i_20x_r3.1.fastq.gz"
f6="speciesA_3000i_20x_r3.2.fastq.gz"
f7="speciesA_10000i_20x_r3.1.fastq.gz"
f8="speciesA_10000i_20x_r3.2.fastq.gz"
for f in $f1 $f2 $... | gigascience/paper-luo2012 | Assemblathon1_pipeline/linkFiles.sh | Shell | gpl-3.0 | 751 |
#!/bin/bash
# add 2017-08-14 by Jan Gerhards, released under ASL 2.0
. $srcdir/diag.sh init
. $srcdir/diag.sh generate-conf
. $srcdir/diag.sh add-conf '
module(load="../plugins/imtcp/.libs/imtcp")
input(type="imtcp" port="13514")
set $!str!l1 = ltrim("");
set $!str!l2 = ltrim("test");
set $!str!l3 = ltrim(" test");
... | madedotcom/rsyslog | tests/rscript_trim.sh | Shell | gpl-3.0 | 3,054 |
#!/bin/bash
OCTETO="((1[0-9]|[1-9])?[0-9]|2([0-4][0-9]|5[0-5]))"
RE_IPV4="${OCTETO}(\.${OCTETO}){3}"
HEXADECATETO="[0-9a-fA-F]{1,4}"
RE_IPV6="("
RE_IPV6="${RE_IPV6}(${HEXADECATETO}:){7}${HEXADECATETO}|"
RE_IPV6="${RE_IPV6}(${HEXADECATETO}:){1,7}:|"
RE_IPV6="${RE_IPV6}(${HEXADECATETO}:){1,6}:${HEXADECATETO}|"
RE_IPV6... | drigos/regex | regex/ipv6.sh | Shell | gpl-3.0 | 2,115 |
sudo apt-get remove libopencv*
sudo apt-get autoremove
sudo apt-get update
sudo apt-get upgrade
sudo rpi-update
sudo reboot
##dev
sudo apt-get install build-essential cmake cmake-curses-gui pkg-config
##lib
sudo apt-get install libjpeg-dev libjasper-dev libpng12-dev libtiff5-dev
sudo apt-get install libavco... | MasterJJ/utility | script/opencv_yolo/predef.sh | Shell | gpl-3.0 | 686 |
#!/bin/bash
connected=`cat /root/connected`
a="Server dump: "
b=`date +"%Y-%m-%d;%H:%M:%S.%s"`
c=" --- Connected: "
echo $a$b$c$connected >> /mnt/share/logs/server.log
d=`ls -la /mnt/share/old/probe*`
echo $d >> /mnt/share/logs/server.log
| aritoru/router | scripts/log-filedump.sh | Shell | gpl-3.0 | 244 |
#!/bin/sh
# MegaMek -
# Copyright (C) 2005 Ben Mazur (bmazur@sev.org)
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later ver... | chvink/kilomek | megamek/startup.sh | Shell | gpl-3.0 | 5,108 |
#!/bin/bash
set -e
pegasus_lite_version_major="4"
pegasus_lite_version_minor="7"
pegasus_lite_version_patch="0"
pegasus_lite_enforce_strict_wp_check="true"
pegasus_lite_version_allow_wp_auto_download="true"
. pegasus-lite-common.sh
pegasus_lite_init
# cleanup in case of failures
trap pegasus_lite_signal_int INT
trap... | elainenaomi/sciwonc-dataflow-examples | dissertation2017/Experiment 1B/logs/w-10-A/20161127T023805+0000/00/00/medianmemory_0_ID0000005.sh | Shell | gpl-3.0 | 1,246 |
# Copyright (c) 2010
#
# This file is part of LTE-Sim
# LTE-Sim is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation;
#
# LTE-Sim is distributed in the hope that it will be useful,
# but WITHOUT ANY WAR... | superhawk236/LTE-SIM-tool | RUN/do_simulations/packet_loss_ratio.sh | Shell | gpl-3.0 | 4,095 |
#!/usr/bin/env bash
THIS_DIR=$(cd $(dirname $0); pwd)
cd $THIS_DIR
install() {
cd tg
sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
sudo apt-get install g++-4.7 -y c++-4.7 -y
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install libreadline-dev -y libconfig-dev -y libssl-dev -y lua5.2 -... | mansour2911/tigr-anti-spam | beyond.sh | Shell | gpl-3.0 | 2,722 |
#!/bin/sh
CC_LOC="${HOME}/arm-uclibc"
SYSPREFIX=$(cd ${CC_LOC}/arm-*/sysroot; pwd)
TRIPLE=`ls ${CC_LOC}/bin | grep -E "arm.+linux-.+gcc$" | awk -F-gcc '{print $1}'`
export PATH=${CC_LOC}/bin:$PATH
export CC="$CC_LOC/bin/${TRIPLE}-gcc --sysroot=${SYSPREFIX}"
CMD_PREFIX="LD_LIBRARY_PATH=${CC_LOC}/lib ARCH=arm LDFLAGS=... | cooldroid/bash-arm | start-uclibc.sh | Shell | gpl-3.0 | 795 |
#!/bin/bash
python AnalyzeSimulation.py --paralog1 YJL177W --paralog2 YKL180W --simnum 6 > YJL177W_YKL180W_MG94_nonclock_Sim6_PrintScreen.txt
| xjw1001001/IGCexpansion | Simulation/ShFiles/MG94_YJL177W_YKL180W_sim6.sh | Shell | gpl-3.0 | 143 |
#!/bin/bash
# @param hook_type post-checkout|post-merge|post-commit|pre-commit
# @param monitored_paths the paths to check
has_changed()
{
local hook_type=$1; shift
local monitored_paths=($@)
local against
local changed
monitored_paths=( "${monitored_paths[@]/#/$GIT_DIR/../}" )
case $hook_type in
post-... | MuschPusch/git_template | template/hooks/change_detector.sh | Shell | gpl-3.0 | 1,154 |
# Required for some compilation (cower package).
[[ -f /etc/profile.d/perlbin.sh ]] && . /etc/profile.d/perlbin.sh | uswery/dotfiles | .config/bash/conf.d/30-perlbin.sh | Shell | gpl-3.0 | 115 |
#!/bin/bash
#1i
. /opt/ownsec/ITSEC-Install-Scripts-ORIG/001.functions/all-scripts.sh
GITREPO=https://github.com/vecna/sniffjoke.git
BRANCH=master
GITREPOROOT=/opt/ITSEC/7.Mitm/sniffjoke/vecna/sniffjoke
GITCLONEDIR=/opt/ITSEC/7.Mitm/sniffjoke/vecna
DSKTPFLS=/opt/ownsec/ITSEC-Install-Scripts-ORIG/7.Mitm/sniffjoke
DSKT... | alphaaurigae/ITSEC-Install-Scripts | ITSEC-Install-Scripts-ORIG/7.Mitm/sniffjoke/sniffjoke-install.sh | Shell | gpl-3.0 | 968 |
#!/bin/bash
########################################
# Author: Butch Clark
# Git Project:
#
# Asks user for input for several
# different settings. These are then
# used to update file/directory names,
# and also searches all source files
# for occurrences of tags, and replaces
# them with the input values.
###... | ButchClark/config-skeleton | config_project.sh | Shell | gpl-3.0 | 4,947 |
#!/bin/sh -e
### BEGIN INIT INFO
# Provides: graylog2
# Required-Start: $local_fs $remote_fs
# Required-Stop: $local_fs $remote_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Graylog2 script
# Description: graylog2 script for deploy.
### END INIT INFO
DESCRIPTION=... | Ardoise/KataScript | sh/centrallog/centralized-graylog2.config.sh | Shell | gpl-3.0 | 3,956 |
#!/bin/sh
PATH=/usr/local/gnu-autotools/bin/:$PATH
export PATH
# Start from one level above the build directory
if [ -f version ]; then
cd ..
fi
if [ \! -f build/version ]; then
echo "Can't find source directory"
exit 1
fi
# BSD make's "OBJDIR" support freaks out the automake-generated
# Makefile. Effe... | kripken/meandmyshadow.web | libarchive/build/autogen.sh | Shell | gpl-3.0 | 1,786 |
#!/bin/bash
echo
echo -e "\E[1;32mBuilding extract tool...\E[0m"
echo
make -C extract
echo
echo -e "\E[1;32mCreating new potfiles...\E[0m"
echo
# remove everything old...
rm potfiles/*.pot potfiles/*.poe
./extract/extract potfiles/ ../data
xgettext -d menu -o potfiles/menu.pot ../../src/core/*.cpp ../../src/core/*.h... | gochenming/sumwars-code | share/translation/update1-src2pot.sh | Shell | gpl-3.0 | 1,179 |
#!/bin/sh
date=2017-04-23
ret=0
in_0="
2017-04-22 talk to @boss at the %work
2017-04-22 go buy some groceries at the %store
2017-04-23 at the %store, buy @alice's gift
2017-04-23 when I be at %home, call @chris at night
2017-04-24 %home: did I called @chris?
2017-04-24 %store: did I buy @alice 's gift?
"
out="
2017... | silasdb/todoc | tests/category-01.sh | Shell | gpl-3.0 | 412 |
#!/bin/bash
VERSION="2.3.1"
URL=http://www.rabbitmq.com/releases/rabbitmq-server/v${VERSION}/rabbitmq-server-generic-unix-${VERSION}.tar.gz
mkdir tmp
cd tmp
curl -o rabbitmq-server-generic-unix-${VERSION}.tar.gz $URL
tar zxvf rabbitmq-server-generic-unix-${VERSION}.tar.gz
mkdir -p ../buildroot/opt/rabbitmq
cp -av rabb... | dustinrue/Dencoder | server/osx/rabbitmq/getAndBuildRabbitMQ.sh | Shell | gpl-3.0 | 415 |
#!/bin/bash
## LVR-InfoKom 2019
export SCPATH=$(pwd)
echo "SCPATH $SCPATH"
if [ -f /etc/redhat-release ] ; then
export HOSTOS=$(cat /etc/system-release-cpe | cut -f 3 -d : )
export HOSTREL=$( rpm -qf /etc/redhat-release | cut -f 4,5 -d - | cut -f 1-2 -d .)
export SYSDVER=$(cat /etc/system-release-cpe | cut -f 5 -d ... | da-nrw/DNSCore | ContentBroker/src/main/bash/vagrant/installDNS.sh | Shell | gpl-3.0 | 14,049 |
#!/bin/sh
tar -xzvf dolfyn-cfd_0.527.tgz
cd dolfyn-cfd_0.527/src/
if [ $OS_TYPE = "BSD" ]
then
gmake
else
make
fi
echo $? > ~/test-exit-status
cd ~
echo "#!/bin/sh
cd dolfyn-cfd_0.527/demo/
./doit.sh 2>&1
echo \$? > ~/test-exit-status" > dolfyn
chmod +x dolfyn
| phoronix-test-suite/phoronix-test-suite | ob-cache/test-profiles/pts/dolfyn-1.0.2/install.sh | Shell | gpl-3.0 | 265 |
#!/bin/bash -eu
# -e: Exit immediately if a command exits with a non-zero status.
# -u: Treat unset variables as an error when substituting.
#
# Copyright (C) 2013 Royal Observatory, University of Edinburgh, UK
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU G... | stvoutsin/pyrothorn | scripts/tests/test11-mysql.sh | Shell | gpl-3.0 | 5,902 |
#!/usr/bin/env bash
set -euo pipefail
node scripts/check-local-config
CONFIG_FILES=server/config/local.json,server/config/fxaci.json grunt server
| mozilla/fxa-content-server | scripts/run_remote_dev.sh | Shell | mpl-2.0 | 149 |
#!/bin/bash
cd public/designs/themes/blogoosfero-themes
git checkout master
git pull --rebase
# update theme's submodules
#cd colivre-themes
#git checkout master
#git pull --rebase;
#cd ..
#git commit colivre-themes -m "Update colivre"
cd ../../../..
git commit public/designs/themes -m 'Update themes'
# push all
gi... | blogoosfero/noosfero | update-themes.sh | Shell | agpl-3.0 | 359 |
#!/bin/sh
POSTGRES="gosu postgres"
$POSTGRES postgres --single -E <<EOSQL
CREATE ROLE postgis ENCRYPTED PASSWORD 'postgis' LOGIN;
EOSQL
$POSTGRES postgres --single -E <<EOSQL
CREATE DATABASE fixmystreet OWNER postgis ;
EOSQL
$POSTGRES pg_ctl -w start
$POSTGRES psql -d fixmystreet -c 'CREATE EXTENSION postgis;'
$POSTGR... | IMIO/django-fixmystreet | Dockerfiles/postgis/initdb-postgis.sh | Shell | agpl-3.0 | 724 |
#!/bin/bash
gcc -std=c99 -o src/utils/wavelet_tree.o src/utils/wavelet_tree.c src/utils/bit_vector.c src/utils/utils.c tests/utils/check_wavelet_tree.c `pkg-config --cflags --libs check` -lm
./src/utils/wavelet_tree.o | WheBurr/BW4SA | os/wavelet_tree_tests.sh | Shell | lgpl-3.0 | 219 |
#!/bin/bash
target=$1
count=$(ping -c 4 @host | grep icmp* | wc -l )
if [ $count -eq 0 ]
then
echo "Host is down. Maintenance advised."
else
echo Packets = $count
echo "Host is alive."
#SUBJECT="Host Status"
#EMAIL="------@-----.com"
#EMAILMESSAGE="Status Report"
#echo $target> "$EMAILMESSAGE"
#../user/bin/ma... | Darknet-Industries/rasp | ping.sh | Shell | unlicense | 368 |
#!/bin/sh
. ./include.sh
REDIRECT=/dev/null
$PYTHON $examples_src/get.py 2> $REDIRECT > $REDIRECT
# Rerun test with no type check decorator (See GRIB-51)
export GRIB_API_PYTHON_NO_TYPE_CHECKS=1
$PYTHON $examples_src/get.py 2> $REDIRECT > $REDIRECT
| weathersource/grib_api | examples/python/get.sh | Shell | apache-2.0 | 251 |
#!/bin/bash
function build_package() {
local NODE_HOSTNAME=$(echo ${3} | cut -d'.' -f1)
case "${1}" in
etcd_deploy)
echo "Building ETCD package"
mkdir -p ${TMPDIR}/ssl/etcd
cp -v certs/ca/ca.pem ${TMPDIR}/ssl/
# cp -v certs/node/${NODE_HOSTNAME}*.pem ${TMPDIR}/ssl/
# cp -v certs/proxy/proxy*.pem ${TMPDIR}/... | roffe/eznetes | inc/package.sh | Shell | apache-2.0 | 2,322 |
#!/bin/bash
set -x
set -e
echo flatcar > ~/.cluster-ansible-aio-env
. ${HOME}/work/GIT/cluster-ansible-aio/apps/kube/kube_common.sh
. ${HOME}/work/GIT/cluster-ansible-aio/apps/kube/kube_lib.sh
# INVENTORY
###########
generateInventory
# VM
####
cd ${CAIO_DIR}
${CAIO_DIR}/cluster-ansible-aio create-virtual-nodes -s ... | blallau/kolla-ansible-aio | apps/kube/flatcar.sh | Shell | apache-2.0 | 902 |
#!/bin/sh
################################################################################
# Copyright (c) 2014 IBM Corp.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.ap... | wuhais/acmeair-netflixoss-weave | bin/buildimages.sh | Shell | apache-2.0 | 2,736 |
#!/usr/bin/env bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "Li... | xhochy/arrow | ci/scripts/rust_test.sh | Shell | apache-2.0 | 1,393 |
#!/bin/sh
ant
ant runTransExcepPass
ant -Darg0=BlowUp runTransExcepFail
| RandyAbernethy/ThriftBook | part2/exceptions/java_transexcep_test.sh | Shell | apache-2.0 | 72 |
#!/usr/bin/env bash
java -Xms1024M -Xmx1024M -Dcom.mojang.eula.agree=true -jar spigot_server.jar
| ramonvanalteren/minecraft-docker | start_spigot.sh | Shell | apache-2.0 | 98 |
# -----------------------------------------------------------------------------
#
# Package : byte-size
# Version : 5.0.1
# Source repo : https://github.com/75lb/byte-size
# Tested on : RHEL 8.3
# Script License: Apache License, Version 2 or later
# Maintainer : BulkPackageSearch Automation <sethp@us.ibm.com>
#
# Discl... | ppc64le/build-scripts | b/byte-size/byte-size_rhel_8.3.sh | Shell | apache-2.0 | 3,048 |
#!/bin/bash
# USAGE: ./release.sh 1.1.1
if [ $# -ne 1 ]
then
echo "USAGE: ./release.sh 1.1.1"
exit
fi
function checkResult {
if [ $? -ne 0 ]
then
echo "!!!!! >>>ERROR<<< !!!!!"
exit
fi
}
DIR=$(dirname $0)
VERSION_NAME=$1
git stash
checkResult
git checkout develop -b relea... | elpassion/android-commons | script/release.sh | Shell | apache-2.0 | 892 |
#!/bin/bash
set -e
set -x
mkdir -p build
clang++-3.8 -c -o build/testattribute.ll -emit-llvm -S testattribute.cpp
clang++-3.8 -c -o build/testattribute.o build/testattribute.ll
g++ -o build/testattribute build/testattribute.o
| hughperkins/pub-prototyping | llvm/build-testattribute.sh | Shell | apache-2.0 | 228 |
#!/bin/sh
STAGING=${1}
DOWNLOAD=${2:-/tmp/sling-staging}
mkdir ${DOWNLOAD} 2>/dev/null
if [ -z "${STAGING}" -o ! -d "${DOWNLOAD}" ]
then
echo "Usage: check_staged_release.sh <staging-number> [temp-directory]"
exit
fi
if [ ! -e "${DOWNLOAD}/${STAGING}" ]
then
echo "#################################################... | MRivas-XumaK/slingBuild | check_staged_release.sh | Shell | apache-2.0 | 2,263 |
# Path to script on host machine. Will be executed on host after cloning the repo. | digitalmusiclab/grail_web_crawler | deploy/post-setup.sh | Shell | apache-2.0 | 82 |
#!/bin/sh
# Turn on AMQ_RESET_CONFIG so that Artemis config/scripts get unconditionally rewritten on startup. Required to handle
# all Artemis upgrade cases properly (see http://activemq.apache.org/components/artemis/documentation/latest/versions.html)
AMQ_RESET_CONFIG="${ENMASSE_AMQ_RESET_CONFIG:-true}"
BROKER_DIR=$... | jenmalloy/enmasse | broker-plugin/plugin/src/main/sh/launch-broker.sh | Shell | apache-2.0 | 1,487 |
#!/bin/bash
pycmd() {
if ! python -c 'import octane'; then
yum install -y python-paramiko
pip install --no-index -e "$CWD/.." ||
die "Cannot install octane, exiting"
fi
local opts=""
if shopt -qo xtrace; then
opts="--debug -v"
fi
octane $opts "$@"
exit $?
}
... | Mirantis/octane | octane/lib/functions.sh | Shell | apache-2.0 | 4,346 |
#!/usr/bin/env bash
#
# The Alluxio Open Foundation licenses this work under the Apache License, version 2.0
# (the "License"). You may not use this work except in compliance with the License, which is
# available at www.apache.org/licenses/LICENSE-2.0
#
# This software is distributed on an "AS IS" basis, WITHOUT WARRA... | calvinjia/tachyon | bin/alluxio-start.sh | Shell | apache-2.0 | 16,539 |
#!/bin/bash
echo "###################################################"
echo "# #"
echo "# Installing Uplace Library Dependencies #"
echo "# #"
echo "###################################################"
declare -a ... | rsyn/rsyn | script/install-libs.sh | Shell | apache-2.0 | 1,060 |
# Set Hadoop-specific environment variables here.
# The only required environment variable is JAVA_HOME. All others are
# optional. When running a distributed configuration it is best to
# set JAVA_HOME in this file, so that it is correctly defined on
# remote nodes.
# The java implementation to use. Required.
exp... | lckung/spark-ec2 | templates/root/ephemeral-hdfs/conf/hadoop-env.sh | Shell | apache-2.0 | 3,070 |
#!/usr/bin/env bash
set -euo pipefail
ROOT=$(realpath "$(dirname "${BASH_SOURCE[0]}")"/../..)
CREDENTIALS=$(cat "${ROOT}"/environment/cf-creds.json)
printf "Unclaiming %s\n" "$(jq -n -r --argjson credentials "${CREDENTIALS}" '$credentials.name')"
curl \
--fail \
--location \
--show-error \
--silent \
--r... | cloudfoundry/cf-java-client | ci/unclaim-environment.sh | Shell | apache-2.0 | 526 |
#!/bin/sh
php phpunit.phar --colors | chajr/class-kernel | phpunit.sh | Shell | apache-2.0 | 35 |
#!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License");... | cloudera/Impala | testdata/bin/create-load-data.sh | Shell | apache-2.0 | 27,049 |
#!/usr/bin/env bash
module_name="bi_procps"
#
# Make local modules dir look like a real install
#
puppet_dirs="manifests templates lib data files"
if [ ! -d "/vagrant/modules/$module_name" ]; then
mkdir -p /vagrant/modules/$module_name
fi
for d in $puppet_dirs; do
if [ -d "/vagrant/$d" ]; then
if [ ... | boundedinfinity/bi-puppet-procps | scripts/provision.bash | Shell | apache-2.0 | 2,026 |
#!/bin/bash
# Copyright 2016 Sandvine Incorporated ULC. All rights reserved.
# This script is capable of setting up a temporary directory
# skeleton for rpmbuild to be happy. It will make a tarball
# of the project's source code and place under the right
# directory and tell rpmbuild to execute your rpm/spec file.
# ... | sandvine/SandScripthon | hack/rpmbuild.sh | Shell | apache-2.0 | 1,436 |
#!/bin/bash
action="ANALYZE"
log="/tmp/analyze.log"
echo "$(date +'%m-%d-%y %H:%M:%S') Starting($action)" > $log
echo "$(date +'%m-%d-%y %H:%M:%S') Done($action)" >> $log
exit 0
| jay-johnson/sci-pype | containerfiles/analyze.sh | Shell | apache-2.0 | 181 |
#!/usr/bin/env bash
# *./resetStack.sh clear* clear the database.
# *./resetStack.sh * reset the database and create a instance.
# Hily.Hoo@gmail.com (Kayven)
# Learn more and get the most recent version at http://code.google.com/p/onestack/
set -o xtrace
if [ $1 ] && [ $1 = "clear" ]; then
nova delete `nova list | ... | lichengshuang/createvhost | others/others/OneStack/resetStack.sh | Shell | apache-2.0 | 2,785 |
#!/bin/bash -v
npm install -g grunt
npm install -g grunt-cli
npm install -g bower
npm install -g less
npm install -g phantomjs
npm install -g npm-check-updates
| tawja/twj-website-base | src/main/webapp/frontend/install-tools.sh | Shell | apache-2.0 | 161 |
#!/bin/sh
set -x
if [ "$CI" == "true" ];
then
echo "Use static version of Authelia"
/resources/run.sh
else
echo "Use hot reloaded version of Authelia"
go get github.com/cespare/reflex
# Sleep 10 seconds to wait the end of npm install updating web directory
# and making reflex reload multiple ... | clems4ever/authelia | example/compose/authelia/resources/entrypoint.sh | Shell | apache-2.0 | 381 |
#!/bin/bash
#
# Copyright (c) 2015 nexB Inc. http://www.nexb.com/ - All rights reserved.
#
# ScanCode release script
# This script creates and tests release archives in the dist/ dir
set -e
# un-comment to trace execution
# set -x
echo "### BUILDING ScanCode release ###"
echo -n " RELEASE: Cleaning previous rele... | lach76/scancode-toolkit | etc/release/release.sh | Shell | apache-2.0 | 1,808 |
#!/bin/bash
# script to be run after installation process in chroot environment
#update-rc.d -f avahi-daemon remove
update-rc.d vmcontext defaults
update-rc.d hadoop defaults
update-rc.d -f hadoop-0.20-namenode remove
update-rc.d -f hadoop-0.20-datanode remove
update-rc.d -f hadoop-0.20-secondarynamenode remove
update-... | Eonblast/Scalaxis | contrib/opennebula/hadoop-iso/cust/post-install.sh | Shell | apache-2.0 | 1,740 |
#!/bin/sh
set -e
set -u
APP_PREFIX="rest"
APP_PATH="/opt/ctrip/app/hermes-${APP_PREFIX}"
# copy tar
OLD_DEPLOY="${APP_PATH}/old-deployment/"
echo "Move ["${APP_PATH}/*.tar"] into "${OLD_DEPLOY}
mkdir -p ${OLD_DEPLOY}
mv ${APP_PATH}/*.tar ${OLD_DEPLOY}
echo "Copy ["hermes-${APP_PREFIX}/target/*.tar"] to " ${APP_PATH... | Tony-Zhang03/hermes | hermes-rest/script/jenkins_run.sh | Shell | apache-2.0 | 608 |
#!/bin/bash
export CUDA_VISIBLE_DEVICES=""
(( server = 1 ))
(( run_count = 20 ))
(( batch_size = 1 ))
(( agent_fov = 360 ))
(( step_count = 1000000 ))
visual_occlusion=false
(( start_run_id = 100 * server ))
(( end_run_id = start_run_id + run_count - 1 ))
if [[ "$visual_occlusion" = false ]]; then
mkdir -p temp/r... | eaplatanios/jelly-bean-world | scripts/experiments/cyclical.sh | Shell | apache-2.0 | 1,287 |
#!/bin/bash
echo "GRANT ALL ON *.* TO virtx@'%' IDENTIFIED BY 'virtx' WITH GRANT OPTION; FLUSH PRIVILEGES" | mysql -uroot -ptoor -h db
source /etc/profile.d/rvm.sh \
&& cd /var/www/virtualx \
&& rake db:create RAILS_ENV=production \
&& rake db:migrate RAILS_ENV=production \
&& rake db:seed RAILS_ENV=production
| ksasan/docker | recipes/virtualx/virtxDbSetup.sh | Shell | apache-2.0 | 316 |
#!/bin/bash
GRAPHITE_ROOT="${GRAPHITE_ROOT:-/opt/graphite}"
# We're using bash so we might as well use default variable features
GRAPHITE_STORAGE_DIR="${GRAPHITE_STORAGE_DIR:-${GRAPHITE_ROOT}/storage}"
WHISPER_DIR="${GRAPHITE_STORAGE_DIR}/whisper"
CERES_DIR="${GRAPHITE_STORAGE_DIR}/ceres"
INDEX_FILE="${GRAPHITE_STORAG... | Krylon360/vimeo-graphite-web | bin/build-index.sh | Shell | apache-2.0 | 1,093 |
#!/bin/bash -ex
maven_base_url="http://192.168.1.222:8081/nexus/content/repositories/"
snapshots_url="${maven_base_url}snapshots/"
cd /home/delxie/Documents/repository-git/commons/common-support
mvn install deploy -N -q -B -e -U -Dmaven.test.skip=true \
-DaltSnapshotDeploymentRepository="nexus-snapshots::default::$... | blackfishdel/paas | maven-script/maven-deploy.sh | Shell | apache-2.0 | 336 |
#!/bin/sh
nX=30
nt=500
#test_brownian.py bbbm plot nX=$nX nt=$nt > brownian_test_plot.txt
pgr \
-l \
-xlabel '$t$' -ylabel '$X_t$' \
-title $nX' Brownian bridges with $\mu_t$, $\mu_t\pm\sigma_t$, and $\mu_t\pm 2 \sigma_t$'. \
-width 8 -height 6 \
-o brownian_test_plot.png \
brownian_test_plot.txt
| johnkerl/scripts-math | pythonlib/bin/sde/brownian_graphical_test.sh | Shell | bsd-2-clause | 307 |
# Input Variables
while [[ "$#" -gt 0 ]]; do
case $1 in
--post_freesurfer_folder) Path="$2"; shift ;;
--subject) Subject="$2"; shift ;;
--lowresmesh) LowResMesh="$2"; shift ;;
--fmrires) FinalfMRIResolution="$2"; shift ;;
--smoothingFWHM) SmoothingFWHM="$2"; shift ;;
--grayordinatesres) Gray... | FCP-INDI/C-PAC | CPAC/surface/fMRISurface/run.sh | Shell | bsd-3-clause | 2,508 |
if [[ -e /custom_config/ ]]; then
echo "deploying custom configuration"
/bin/cp --force /custom_config/portal.properties /cbioportal/src/main/resources/;
#begin added by MedBook
/bin/cp --force /custom_config/portal.properties $CATALINA_HOME/webapps/cbioportal/WEB_INF/classes/portal.properties
... | UCSC-MedBook/MedBook_ | cbioportal/scripts/checkCustomConfig.sh | Shell | bsd-3-clause | 663 |
#!/bin/bash
# This expects the device to be in zedboot mode, with a zedboot that is
# is compatible with the Fuchsia system image provided.
#
# The first and only parameter should be the path to the Fuchsia system image
# tarball, e.g. `./fuchsia-test.sh generic-x64.tgz`.
#
# This script expects `pm`, `dev_finder`, an... | chinmaygarde/sky_engine | testing/fuchsia/run_tests.sh | Shell | bsd-3-clause | 3,762 |
# This script builds assets in Jenkins to make sure there are no
# less compilation errors
if [ ! -z $SET_PY_27 ]; then
source /opt/rh/python27/enable
fi
# Echo the python version used in this build.
python --version
cd $WORKSPACE
VENV=$WORKSPACE/venv
VENDOR=$WORKSPACE/vendor
echo "Starting build on executor $E... | anaran/olympia | scripts/build-assets.sh | Shell | bsd-3-clause | 1,723 |
#!/usr/bin/env bash
. "test/testlib.sh"
ensure_git_version_isnt $VERSION_LOWER "2.5.0"
envInitConfig='git config filter.lfs.smudge = "git-lfs smudge %f"
git config filter.lfs.clean = "git-lfs clean %f"'
begin_test "git worktree"
(
set -e
reponame="worktree-main"
mkdir $reponame
cd $reponame
git i... | ryansimmen/git-lfs | test/test-worktree.sh | Shell | mit | 1,987 |
#!/usr/local/bin/bash
PREFIX="/usr/local"
MAN=
BINDIR="${PREFIX}/sbin"
LIBDIR="${PREFIX}/lib/tredly-validate"
CONFDIR="${PREFIX}/etc/tredly"
ACTIONSDIR="${LIBDIR}/actions"
INSTALL="/usr/bin/install"
MKDIR="mkdir"
RM="rm"
BINMODE="500"
SCRIPTS="tredly-validate"
SCRIPTSDIR="${PREFIX}/BINDIR"
function show_help() {
... | tredly/tredly | components/tredly-validate/install.sh | Shell | mit | 2,330 |
#!/usr/bin/env sh
# To render all svgs, you'll need the svg-to-android tool
# You can install this tool with the command `npm install -g svg-to-android`
# Obviously you'll need npm installed to install that, too.
svg-to-android -o ../app/src/main/res/ -D mdpi,hdpi,xhdpi,xxhdpi,xxxhdpi *.svg
| rahatarmanahmed/Radio-UTD | vectors/renderall.sh | Shell | mit | 292 |
#!/bin/sh
# Launch plex
export DISPLAY=:0
killall irexec && irexec -d /opt/harmony-remote/irexec/plex.conf
sleep 1
plexhometheater.sh &
| ngsoft/harmony-remote | commands/F14.sh | Shell | mit | 136 |
#!/bin/sh
if [ -x "$(which autoreconf 2>/dev/null)" ]; then
exec autoreconf -ivf
fi
LIBTOOLIZE=libtoolize
[ "Darwin" = "$(uname)" ] && LIBTOOLIZE=glibtoolize
aclocal -I m4 && \
$LIBTOOLIZE && \
autoconf && \
automake --add-missing --force-missing --copy
| noseglid/libde | autogen.sh | Shell | mit | 261 |
#!/bin/sh
# Copyright (c) 2017 Red Hat, Inc.
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
convert_windows_to_posix() {
# ... | sudaraka94/che | dockerfiles/base/scripts/base/library.sh | Shell | epl-1.0 | 8,763 |
#!/bin/sh
. /lib/functions.sh
preinit_set_mac_address() {
case $(board_name) in
asus,map-ac2200)
base_mac=$(mtd_get_mac_binary_ubi Factory 4102)
ip link set dev eth0 address $(macaddr_add "$base_mac" +1)
ip link set dev eth1 address $(macaddr_add "$base_mac" +3)
;;
meraki,mr33)
mac_lan=$(get_mac_binary "... | P424D0X/hamwrt | target/linux/ipq40xx/base-files/lib/preinit/05_set_iface_mac_ipq40xx.sh | Shell | gpl-2.0 | 673 |
#!/bin/sh
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (c) 2009 FUJITSU LIMITED
# Copyright (c) 2018-2019 ARM Ltd. All Rights Reserved.
# Copyright (c) 2019 Petr Vorel <pvorel@suse.cz>
#
# Author: Li Zefan <lizf@cn.fujitsu.com>
# Restructure for LTP: Shi Weihua <shiwh@cn.fujitsu.com>
# Added memcg enable/dis... | pevik/ltp | testcases/kernel/controllers/memcg/stress/memcg_stress_test.sh | Shell | gpl-2.0 | 2,572 |
#
# Copyright (c) 2005 XenSource Ltd.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of version 2.1 of the GNU Lesser General Public
# License as published by the Free Software Foundation.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT AN... | zhoupeng/spice4xen | tools/hotplug/Linux/locking.sh | Shell | gpl-2.0 | 2,065 |
#!/bin/bash
BHL_DIR=`ls -d bhlpages_1*/ | sed -e "s:/::"`
cd $BHL_DIR
find . -type f ! -regex '.*.hg.*' ! -regex '.*?debian-binary.*' \
! -regex '.*?DEBIAN.*' -printf '%P ' | xargs md5sum > DEBIAN/md5sums
cd ..
if [ -e dist/BHLPages.jar ]; then
cp -p dist/BHLPages.jar "$BHL_DIR/usr/local/bin/bhlpages/"
chmod +x "$B... | Ecdosis/BHLPages | build-package.sh | Shell | gpl-2.0 | 452 |
#!/bin/sh
#
# Copyright (c) 2007 Eric Wong
test_description='git-svn dcommit can commit renames of files with ugly names'
. ./lib-git-svn.sh
test_expect_success 'load repository with strange names' '
svnadmin load -q "$rawsvnrepo" < ../t9115/funky-names.dump &&
start_httpd gtk+
'
test_expect_success 'init and f... | xlymian/git | t/t9115-git-svn-dcommit-funky-renames.sh | Shell | gpl-2.0 | 2,104 |
#!/bin/sh
set -e
for i in `seq 0 16`
do
export oort_NUM_THREADS=$i
echo Threads: $i
time ./dedicated/oort_dedicated -s $$ scenarios/basic.json examples/reference.lua examples/reference.lua
done
| frickler01/Oort-legacy | devel/bench-threads.sh | Shell | gpl-2.0 | 197 |
TRANSLATION_LOCALE="plPL"
TRANSLATION_ENCODING="UTF8"
MSG_LANGUAGE="Polski"
MSG_DOWNLOADING="Pobieranie wszystkiego czego potrzebujemy"
MSG_INSTALLING="Instalowanie"
MSG_INSTALLING_FLASH="Instalowanie Flash Player 9"
MSG_INSTALLATION_OPTIONS="IEs4Linux zrobi:"
MSG_OPTION_INSTALL_IES="Zainstaluj Internet Explorer:"
MSG_... | drafnel/ies4linux | lang/plPL.sh | Shell | gpl-2.0 | 3,670 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.